EDIT - feature request #6866
Improve specimen page
08/01/2017 01:21 PM - Andreas Mdller

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.22

Severity: major

Description

The pure specimen pages in the data portal need to be improved. Currently they show only basic and concatenated information.

E.g. http://portal.cybertaxonomy.org/salvador/cdm_dataportal/specimen/d3d330b5-9de1-4fd9-ab17-8ec55d17810f

For a single specimen page | don't think we need primarily to show the title cache but better show atomized data.

Also we should show more or less all data (including annotations, extensions, factual data, media, sources, used where, ....) similar
to the way specimen data is shown on the specimen tab on the taxon page when not using the compressed table view (but with
some improvements).

Examples of specimen and occurrence page in other systems:
e GBIF: https://www.gbif.org/occurrence/2244182979

e ALA: https://biocache.ala.org.au/occurrences/85e8e3a4-3976-41a9-8841-fc48acd818eb
e GGBN: http://www.ggbn.org/algae_bgbm/sptool/query_sptool.php?sqlType=Detail&ID_Collection=1072

GBIF offers the option to hide the diagnostic information which allows to layout the details tables in two rows when the browser
window is wide enough.

Related issues:

Related to EDIT - task #8419: Harmonization of the different specimen represe... In Progress
Related to EDIT - feature request #7599: treeView for specimen data in datapo... Closed
Related to EDIT - bug #9543: Revise, harmonize media list in SpecimenOrObserv... New

Related to EDIT - bug #9555: symbols for record basis (and kind of unit) in d... Closed
Related to EDIT - task #9579: restore css3pie if needed Worksforme
Related to EDIT - bug #10059: Link for stored under and identification on spe... Closed
Related to EDIT - feature request #9879: Short title for field and derived units New

Copied from EDIT - bug #6816: [Dataportal] Specimen table issues Closed
Copied to EDIT - feature request #10058: Further improve specimen page (factu... New

Associated revisions

Revision 5a2e89b6 - 03/16/2021 01:33 PM - Andreas Kohlbecker
ref #7599 ref #6866 specimen details in floating tables - first part

Revision c407b10a - 03/16/2021 02:59 PM - Andreas Kohlbecker
ref #7599 ref #6866 specimen details in floating tables - gathering details

Revision bb4e2e49 - 03/16/2021 03:04 PM - Andreas Kohlbecker

ref #7599 ref #6866 specimen details in floating tables - cleaning

Revision f46584fb - 03/17/2021 02:31 PM - Andreas Kohlbecker

ref #7599 ref #6866 specimen details in floating tables - improved layout (compatible with all major browsers)

Revision 26370e4f - 03/17/2021 02:39 PM - Andreas Kohlbecker

ref #7599 ref #6866 specimen details in floating tables - responsive layout
Revision 9d24e1ba - 03/17/2021 04:24 PM - Andreas Kohlbecker

ref #7599 ref #6866 more specimen details tables for type designation, media, storage, dna samples and identifircations

Revision 47420a9f - 03/17/2021 04:42 PM - Andreas Kohlbecker

ref #7599 ref #6866 more specimen details tables - tables may span multiple grid colums

Revision 8866760 - 03/17/2021 05:20 PM - Andreas Kohlbecker

ref #7599 ref #6866 specimen details tables additional data for field units and derived units

Revision dc174713 - 03/17/2021 05:45 PM - Andreas Kohlbecker
ref #7599 ref #6866 adding missing SpecimenOrObservationDTO details

Revision 121bd2f4 - 03/17/2021 06:05 PM - Andreas Kohlbecker

ref #7599 ref #6866 specimen details tables - using RecordBase as table header

Revision ec6065fa - 03/18/2021 07:56 AM - Andreas Kohlbecker

ref #7599 ref #6866 specimen details tables - derivation tree nodes with links to specimen page

Revision 4fc43df6 - 03/18/2021 12:12 PM - Andreas Kohlbecker
ref #7599 ref #6866 specimen details tables - more fields

Revision 141a7789 - 03/18/2021 03:36 PM - Andreas Kohlbecker

ref #7599 ref #6866 specimen details tables - derivation events

Revision 8e013268 - 03/19/2021 08:09 AM - Andreas Kohlbecker

ref #7599 ref #6866 specimen details tables - class attributes for testing

Revision e5f35b5f - 03/19/2021 08:31 AM - Andreas Kohlbecker

ref #7599 ref #6866 specimen details tables - footnotes & genral footnote font size

Revision fdd6dc54 - 03/19/2021 02:19 PM - Andreas Kohlbecker

ref #7599 ref #6866 specimen details tables - selenium elements

Revision 4ecf7518 - 03/19/2021 05:41 PM - Andreas Kohlbecker
ref #7599 ref #6866 specimen details tables - adapting tests

Revision 69382db8 - 03/19/2021 06:08 PM - Andreas Kohlbecker

ref #7599 ref #6866 specimen details tables - re-enabling all derivatin tree tests

Revision 2e0c302b - 03/19/2021 07:10 PM - Andreas Kohlbecker

ref #7599 ref #6866 specimen details tables - more tests also for deeper trees

Revision 54456aee - 03/22/2021 02:01 PM - Andreas Kohlbecker

ref #7599 ref #6866 specimen details tables - testing two more links

Revision 91004c5d - 03/22/2021 02:06 PM - Andreas Kohlbecker
ref #6866 cleaning up

Revision 863bbef2 - 03/22/2021 03:52 PM - Andreas Kohlbecker
ref #7599 ref #6866 specimen details tables - generalizing details grid styling

Revision f6ff2764 - 03/22/2021 03:53 PM - Andreas Kohlbecker
ref #6866 using details grid for specimen page

Revision a1dab23f - 03/22/2021 03:57 PM - Andreas Kohlbecker
ref #7599 ref #6866 individual font size per application
Revision 70842e94 - 03/22/2021 05:02 PM - Andreas Kohlbecker

ref #7599 ref #6866 derivation tree optionally without content usable for specimen page

Revision 8bc06094 - 03/23/2021 09:06 AM - Andreas Kohlbecker

ref #7599 ref #6866 refactoring derivatin tree composition into class DerivationTreeComposer

Revision ac54d579 - 03/23/2021 09:14 AM - Andreas Kohlbecker
ref #7599 ref #6866 replacing _add_js_derivation_tree_focus_unit() by php code in class

Revision 8b647486 - 03/23/2021 09:25 AM - Andreas Kohlbecker

ref #6866 showing footnotes in specimen page

Revision c1bf88ee - 03/23/2021 02:45 PM - Andreas Kohlbecker
ref #6866 display of sources

Revision 9eeb624f - 03/23/2021 04:10 PM - Andreas Kohlbecker

ref #6866 adding markers to specimen page

Revision 8571d50c - 03/23/2021 05:36 PM - Andreas Kohlbecker

ref #6866 more determination details

Revision b56eba84 - 03/23/2021 05:45 PM - Andreas Kohlbecker
ref #6866 adding missing class

Revision 8c24201a - 03/23/2021 05:46 PM - Andreas Kohlbecker
ref #7599 ref #6866 adapting tests to latest changes

Revision 648b078c - 03/23/2021 06:17 PM - Andreas Kohlbecker
ref #6866 fixing buf in source loading and adapting test

Revision 38a98e54 - 03/23/2021 10:24 PM - Andreas Kohlbecker

ref #6866 showing unit annotations (AnnotationsAndSources supports annotations a content now)

Revision 2316d086 - 03/23/2021 10:36 PM - Andreas Kohlbecker
ref #7599 ref #6866 fixing bug in determinations display#

Revision 42c6fd16 - 03/24/2021 10:30 AM - Andreas Kohlbecker
ref #7599 ref #6866 fixing more bugs in determinations display

Revision 324aac32 - 03/24/2021 10:45 AM - Andreas Kohlbecker

ref #6866 extending init strategy for sources

Revision 4d7ab017 - 03/24/2021 10:45 AM - Andreas Kohlbecker
ref #6866 pulling determinedNames up to SpecimenOrObservationDTO

Revision d1210556 - 03/24/2021 10:45 AM - Andreas Kohlbecker
ref #6866 SpecimenOrObservationBaseDTO with DeterminationEventDTOs

Revision 61b2cc21 - 03/24/2021 10:45 AM - Andreas Kohlbecker
ref #6866 fixing bug in DeterminationEventDTO

Revision 99a137ea - 03/26/2021 04:51 PM - Andreas Kohlbecker

ref #6866 no hover effect of derivate tree headers on specimen page

Revision 82772845 - 03/26/2021 04:54 PM - Andreas Kohlbecker

ref #6866 removing solved TODO comments
Revision dbe61bd9 - 03/29/2021 12:52 PM - Andreas Kohlbecker
ref #7599 ref #6866 fixing layout problem in typedesignations details table

Revision f9e96761 - 04/14/2021 02:15 PM - Andreas Kohlbecker

ref #7599 ref #6866 removing replaced and now unused methods

History

#1 - 08/01/2017 01:29 PM - Andreas Miiller

Also the title needs to be improved, for the given example it is "Specimen LAGU" which could be improved.

#2 - 08/01/2017 01:30 PM - Andreas Miiller
- Copied from bug #6816: [Dataportal] Specimen table issues added

#3 - 11/18/2019 03:33 PM - Andreas Miiller
- Assignee changed from Patrick Plitzner to Katja Luther

- Target version changed from Unassigned CDM tickets to Release 5.12

Can you please relate this ticket with other tickets on this issue (specimen page)?

#4 - 01/16/2020 01:12 PM - Katja Luther

- Target version changed from Release 5.12 to Release 5.13

#5 - 03/10/2020 11:46 AM - Katja Luther

- Target version changed from Release 5.13 to Release 5.14

#6 - 04/08/2020 03:47 PM - Andreas Miiller

- Target version changed from Release 5.14 to Release 5.15

#7 - 04/22/2020 10:20 AM - Katja Luther

- Target version changed from Release 5.15 to Release 5.18

#8 - 04/22/2020 10:37 AM - Andreas Miiller
- Assignee changed from Katja Luther to Andreas Kohlbecker

- Target version changed from Release 5.18 to Release 5.15

#9 - 06/23/2020 02:02 PM - Andreas Miuller

- Target version changed from Release 5.15 to Release 5.18

#10 - 07/31/2020 11:12 AM - Andreas Kohlbecker

- Related to task #8419: Harmonization of the different specimen representations added

#11 - 10/09/2020 12:23 PM - Andreas Kohlbecker

- Description updated

#12 - 10/09/2020 12:36 PM - Andreas Kohlbecker

- Tags changed from salvador, campanula, specimen to salvador, campanula, specimen, specimen-page

#13 - 10/16/2020 11:08 AM - Andreas Kohlbecker

- Description updated

#14 - 01/13/2021 04:11 PM - Andreas Kohlbecker

- Target version changed from Release 5.18 to Release 5.19

#15 - 01/27/2021 03:12 PM - Andreas Kohlbecker

- Target version changed from Release 5.19 to Release 5.21
#16 - 03/10/2021 02:52 PM - Andreas Miiller

- Target version changed from Release 5.21 to Release 5.22

#17 - 03/12/2021 01:48 PM - Andreas Kohlbecker

- Related to feature request #7599: treeView for specimen data in dataportal added

#18 - 03/22/2021 02:39 PM - Andreas Kohlbecker
- Related to bug #9543: Revise, harmonize media list in SpecimenOrObservationBaseDTO vs. DerivedUnitFacade.getMediaTextData() added

#19 - 03/25/2021 05:22 PM - Andreas Kohlbecker
- Related to bug #9555: symbols for record basis (and kind of unit) in derivation tree added

#20 - 04/06/2021 10:35 PM - Andreas Kohlbecker
- Related to task #9579: restore css3pie if needed added

#21 - 04/19/2021 02:48 PM - Andreas Kohlbecker

- Target version changed from Release 5.22 to Release 5.46

#22 - 07/09/2021 02:30 PM - Andreas Miiller

- Status changed from New to In Progress

Looks like this is at least in progress as there are many commits.

Can we split this ticket into resolved issues and open issues and add both tickets to the according milestones?

#23 - 02/21/2022 04:01 PM - Andreas Miiller

- Status changed from In Progress to Resolved

- Assignee changed from Andreas Kohlbecker to Andreas Mliller
- Target version changed from Release 5.46 to Release 5.45

- % Done changed from 0 to 40

#24 - 03/11/2022 11:40 AM - Andreas Muller

- Target version changed from Release 5.45 to Release 5.31

#25 - 03/11/2022 03:15 PM - Andreas Miiller
- Due date set to 03/18/2022
- Start date set to 03/14/2022

#26 - 03/24/2022 10:31 PM - Andreas Miiller
- Due date changed from 03/18/2022 to 04/08/2022
- Target version changed from Release 5.31 to Release 5.32

- Start date changed from 03/14/2022 to 04/01/2022

This is a review ticket only and therefore we can postpone it a bit.

#27 - 05/12/2022 12:18 PM - Andreas Miiller

- Copied to feature request #10058: Further improve specimen page (factual data, extensions, added

#28 - 05/12/2022 12:20 PM - Andreas Miiller

- Related to bug #10059: Link for stored under and identification on specimen page does not work correctly added

#29 - 05/12/2022 02:06 PM - Andreas Miiller
- Related to feature request #9879: Short title for field and derived units added

#30 - 05/12/2022 02:09 PM - Andreas Miiller
- Due date deleted (04/08/2022)
- Status changed from Resolved to Closed

- Assignee changed from Andreas Miller to Andreas Kohlbecker
- Start date deleted (04/01/2022)

- % Done changed from 40 to 100

This can be closed. Open issues were moved to follow-up ticket #10058 (missing attributes) and related ticket #9879 (shorter title).

#31 - 05/12/2022 02:12 PM - Andreas Miiller

- Target version changed from Release 5.32 to Release 5.22

Move back to original milestone.
